graph.tasks

## Class GraphTasks

- java.lang.Object
- - graph.tasks.GraphTasks

- Direct Known Subclasses:
    DirectedGraphTasks, UndirectedGraphTasks

      public class GraphTasks
      extends java.lang.Object

  Implementace grafových úloh.

  Popis: základní třída pro odvození tříd specializovaných na různé typy úloh

  Užití: Instance této třídy lze používat v aplikacích.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Graph` | `graph` graf, na kterém se mají řešit úlohy
    `protected HeapFactory` | `heapF` továrna na haldy, které se použijí jako prioritní fronty
    `protected int` | `opCnt` počítadlo provozního měření
    `protected SequenceFactory` | `seqF` továrna na posloupnosti, které slouží jako výsledky úloh
    `protected ShortestPath` | `sPath` továrna na objekty, které hledají nejkratší cestu

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphTasks(Graph aGraph, ShortestPathFactory spf, HeapFactory hf, SequenceFactory sf)` Vyrobí objekt na řešení grafových úloh.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOperationCounter()` Provozní měření.
    `Sequence` | `shortestPath(GraphTasksVertex aStart, GraphTasksVertex aTarget)` Hledání nejkratší cesty.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### graph

          protected Graph graph

      graf, na kterém se mají řešit úlohy

    - #### sPath

          protected ShortestPath sPath

      továrna na objekty, které hledají nejkratší cestu

    - #### heapF

          protected HeapFactory heapF

      továrna na haldy, které se použijí jako prioritní fronty

    - #### seqF

          protected SequenceFactory seqF

      továrna na posloupnosti, které slouží jako výsledky úloh

    - #### opCnt

          protected int opCnt

      počítadlo provozního měření

  - ### Constructor Detail

    - #### GraphTasks

          public GraphTasks(Graph aGraph,
                            ShortestPathFactory spf,
                            HeapFactory hf,
                            SequenceFactory sf)

      Vyrobí objekt na řešení grafových úloh.
      Parameters:
        `aGraph` - graf, na kterém se mají řešit úlohy
        `spf` - továrna na objekty, které hledají nejkratší cestu
        `hf` - továrna na haldy, které se použijí jako prioritní fronty
        `sf` - továrna na posloupnosti, které slouží jako výsledky úloh

  - ### Method Detail

    - #### shortestPath

          public Sequence shortestPath(GraphTasksVertex aStart,
                                       GraphTasksVertex aTarget)

      Hledání nejkratší cesty.
      Parameters:
        `aStart` - výchozí vrchol
        `aTarget` - cílový vrchol
      Returns:
        posloupnost vrcholů v pořadí, jak jimi prochází nejkratší cesta

    - #### getOperationCounter

          public int getOperationCounter()

      Provozní měření.
      Returns:
        počet významných operací při posledním běhu kterékoli úlohy